version: '3'
services:
  web:
    #image: docker.pkg.github.com/redditcfb/sportsbook:latest
    image: docker.pkg.github.com/redditcfb/sportsbook/sportsbook:latest
    restart: always
    ports:
      - 3000:8080
    network_mode: 'host'
    environment:
      NODE_ENV: production
      DEV_TOOLS: production
      SERVER_PORT: 3000
      DB_USER: rcfb
      DB_PASSWORD: zB7H&Qe4&*ku5VSe&5T6w&Hi
      DB_NAME: sportsbook
      DB_HOST: db.collegefootballdata.com
      DB_PORT: 5432
      JWT_DOMAIN: book.redditcfb.com
      JWT_SECRET: kEvpq&^328OdsBkoGJ8X^ZSz
      REDDIT_ID: p9KMsqh1PJ6YFs-hndhP1Q
      REDDIT_SECRET: O7Npsl26ajgpm-3BDNe1iDe-1PiXRQ
      WEB_HOST: book.redditcfb.com
  service:
    image: docker.pkg.github.com/redditcfb/sportsbook-events/sportsbook-events:latest
    restart: always
    network_mode: 'host'
    environment:
      DB_USER: rcfb
      DB_PASSWORD: zB7H&Qe4&*ku5VSe&5T6w&Hi
      DB_NAME: sportsbook
      DB_HOST: db.collegefootballdata.com
      DB_PORT: 5432
      RABBIT_URL: 104.131.5.219
      RABBIT_USER: rcfb
      RABBIT_PASSWORD: vC^TF7f2Z2o8
